QuickFIX: FIX::Application Class Reference

Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::Application Class Reference

This interface must be implemented to define what your FIX application does. More...

`#include <Application.h>`

Inheritance diagram for FIX::Application:
[legend]

List of all members.

## Public Member Functions
virtual | ~Application ()
virtual void | onCreate (const SessionID &)=0
| Notification of a session begin created.
virtual void | onLogon (const SessionID &)=0
| Notification of a session successfully logging on.
virtual void | onLogout (const SessionID &)=0
| Notification of a session logging off or disconnecting.
virtual void | toAdmin (Message &, const SessionID &)=0
| Notification of admin message being sent to target.
virtual void | toApp (Message &, const SessionID &)=0 throw ( DoNotSend )
| Notification of app message being sent to target.
virtual void | fromAdmin (const Message &, const SessionID &)=0 throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )
| Notification of admin message being received from target.
virtual void | fromApp (const Message &, const SessionID &)=0 throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )
| Notification of app message being received from target.

## Detailed Description

This interface must be implemented to define what your FIX application does.

These methods notify your application about events that happen on active FIX sessions. There is no guarantee how many threads will be calling these functions. If the application is sharing resources among multiple sessions, you must synchronize those resources. You can also use the SynchronizedApplication class to automatically synchronize all function calls into your application. The various MessageCracker classes can be used to parse the generic message structure into specific FIX messages.

Definition at line 43 of file Application.h.

## Constructor & Destructor Documentation

virtual FIX::Application::~Application | ( |  | ) | `[inline, virtual]`

Definition at line 46 of file Application.h.

    00046 {};

## Member Function Documentation

virtual void FIX::Application::fromAdmin | ( | const Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, RejectLogon )`[pure virtual]`

Notification of admin message being received from target.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::fromCallback().

virtual void FIX::Application::fromApp | ( | const Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( FieldNotFound, IncorrectDataFormat, IncorrectTagValue, UnsupportedMessageType )`[pure virtual]`

Notification of app message being received from target.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::fromCallback().

virtual void FIX::Application::onCreate | ( | const SessionID & |  | ) | `[pure virtual]`

Notification of a session begin created.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::Session().

virtual void FIX::Application::onLogon | ( | const SessionID & |  | ) | `[pure virtual]`

Notification of a session successfully logging on.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::nextLogon().

virtual void FIX::Application::onLogout | ( | const SessionID & |  | ) | `[pure virtual]`

Notification of a session logging off or disconnecting.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::disconnect().

virtual void FIX::Application::toAdmin | ( | Message & | ,
|  | const SessionID & |  |
| ) |  |  | `[pure virtual]`

Notification of admin message being sent to target.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::sendRaw().

virtual void FIX::Application::toApp | ( | Message & | ,
|  | const SessionID & |  |
| ) |  |  | throw ( DoNotSend )`[pure virtual]`

Notification of app message being sent to target.

Implemented in FIX::SynchronizedApplication, and FIX::NullApplication.

Referenced by FIX::Session::resend(), and FIX::Session::sendRaw().

The documentation for this class was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Application.h